import {EventData, Page} from "@nativescript/core";
import {loadItems, vm} from "~/main-view-model";
import {ListViewEventData, RadListView} from "nativescript-ui-listview";
let page: Page;
let lv: RadListView;


export function navigatingTo(args: EventData) {
	page = args.object as Page;
	page.bindingContext = vm;
}


export function onListViewLoaded(args: EventData) {
	lv = args.object as RadListView;
}


export function onItemTap(args: ListViewEventData) {
	alert(args.view);
}


export function onPullToRefreshInitiated(args: ListViewEventData) {
	loadItems().then(() => {
		lv.notifyPullToRefreshFinished();
	});
}
